// some basic defines
#define TEast 0
#define TWest 1
#define TGuerrila 2
#define TCivilian 3
#define TSideUnknown 4
#define TEnemy 5
#define TFriendly 6
#define TLogic 7

#define true 1
#define false 0

// type scope
#define private 0
#define protected 1
#define public 2

#define CanSeeRadar 1
#define CanSeeEye 2
#define CanSeeOptics 4
#define CanSeeEar 8
#define CanSeeCompass 16 
#define CanSeeRadarC CanSeeRadar+CanSeeCompass
#define CanSeeAll 31

#define LockNo		0
#define LockCadet	1
#define LockYes		2
	
class CfgPatches
{
	class MTLJeep
	{
		units[] = {MTLJeep};
		weapons[] = {};
		requiredVersion = 1.01;
	};
	class MTLJeepD
	{
		units[] = {MTLJeep};
		weapons[] = {};
		requiredVersion = 1.01;
	};
	class MTLJeepW
	{
		units[] = {MTLJeepW};
		weapons[] = {};
		requiredVersion = 1.01;
	};
	class MTLJeepMG
	{
		units[] = {MTLJeepMG};
		weapons[] = {};
		requiredVersion = 1.01;
	};
	class MTLJeepMGW
	{
		units[] = {MTLJeepMGW};
		weapons[] = {};
		requiredVersion = 1.01;
	};
};

class CfgVehicles
{
	class All {};
	class AllVehicles: All {};
	class Land: AllVehicles {};
	class LandVehicle: Land {};
	class Car: LandVehicle {};
	class Jeep: Car {};
	class JeepMG:Jeep {};
	class MTLJeep:Jeep
	{
		displayName=MTL Jeep;
		class TransportMagazines
		{
			class _xx_HK
			{
			magazine="HK";
			count="20*1";
			};
			class _xx_M16
			{
			magazine="M16";
			count="20*1";
			};
			class _xx_M60
			{
			magazine="M60";
			count="3*1";
			};
			class _xx_GrenadeLauncher
			{
			magazine="GrenadeLauncher";
			count="6*1";
			};
			class _xx_Flare
			{
			magazine="Flare";
			count="6*1";
			};
			class _xx_LAWLauncher
			{
			magazine="LAWLauncher";
			count="4*1";
			};
			class _xx_M21
			{
			magazine="M21";
			count="10*1";
			};
		};
		class TransportWeapons
		{
			class _xx_HK
			{
			weapon="HK";
			count="2*1";
			};
			class _xx_M16GrenadeLauncher
			{
			weapon="M16GrenadeLauncher";
			count="2*1";
			};
			class _xx_M16
			{
			weapon="M16";
			count="2*1";
			};
			class _xx_M60
			{
			weapon="M60";
			count="1*1";
			};
			class _xx_NVGoggles
			{
			weapon="NVGoggles";
			count="4*1";
			};
			class _xx_Binocular
			{
			weapon="Binocular";
			count="4*1";
			};
			class _xx_LAWLauncher
			{
			weapon="LAWLauncher";
			count="2*1";
			};
			class _xx_M21
			{
			weapon="M21";
			count="1*1";
			};
		};
	};

	class MTLJeepD:MTLJeep
	{
		displayName=MTL Jeep Desert;
		model=\MTLJeep\MTLJeepD;
	};
	class MTLJeepW:MTLJeep
	{
		displayName=MTL Jeep Winter;
		model=\MTLJeep\MTLJeepW;
		crew="MTL_DRVSNOW";
	};
	class MTLJeepMG:JeepMG
	{
		displayName=MTL Jeep MG Desert;
		model=\MTLJeep\MTLJeepMGD;
	};
	class MTLJeepMGW:MTLJeepMG
	{
		displayName=MTL Jeep MG Winter;
		model=\MTLJeep\MTLJeepMGW;
		crew="MTL_DRVSNOW";
	};
// end vehicles
};
class CfgNonAIVehicles
{
	class ProxyCrew {};
	class ProxyDriver: ProxyCrew {};
	class ProxyMTLJeepDdriver:ProxyDriver {};
	class ProxyMTLJeepMGDdriver:ProxyDriver {};
	class ProxyMTLJeepWdriver:ProxyDriver {};
	class ProxyMTLJeepMGWdriver:ProxyDriver {};
};
};